For the complete documentation index, see llms.txt. This page is also available as Markdown.

Add new Compensation

Add new Compensation

Required permissions: COMPENSATION

post
/tenants/{tenantUid}/compensations
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
namestringRequired
codestringRequired
compensationUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
201

Example response

application/json
namestringRequired
codestringRequired
compensationUidstringRequiredPattern: ^[A-Za-z0-9-_]+
post/tenants/{tenantUid}/compensations
POST /v2/tenants/{tenantUid}/compensations HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 54

{
  "name": "text",
  "code": "text",
  "compensationUid": "text"
}
201

Example response

{
  "name": "text",
  "code": "text",
  "compensationUid": "text"
}

Last updated

Was this helpful?